
const childrenRouters = [
  /* 牧场概况 */
  {
    path: '/',
    name: 'Home',
    component: () => import('../views/pastureData/Home.vue'),
    meta: {
      title: '牧场概况',
      defaultUrl: true,
      id: 1,
    }
  },
  {
    path: '/hand',
    name: 'band',
    component: () => import('../views/pastureData/hand.vue'),
    meta: {
      title: '存栏走势',
      defaultUrl: false,
    }
  },
  {
    path: '/dayData',
    name: 'dayData',
    component: () => import('../views/pastureData/dayData.vue'),
    meta: {
      title: '每日数据',
      defaultUrl: false,
    }
  },
  {
    path: '/dataDetail',
    name: 'dataDetail',
    component: () => import('../views/pastureData/dataDetail.vue'),
    meta: {
      title: '数据详情',
      defaultUrl: false,
    }
  },
  {
    path: '/collectData',
    name: 'collectData',
    component: () => import('../views/collectData/collectData.vue'),
    meta: {
      title: '数据分析',
      defaultUrl: true,
      id: 2,
    }
  },
  {
    path: '/deviceAdmin',
    name: 'deviceAdmin',
    component: () => import('../views/deviceAdmin/deviceAdmin.vue'),
    meta: {
      title: '设备管理',
      defaultUrl: true,
      id: 3,
    }
  },
  {
    path: '/deviceInfo',
    name: 'deviceInfo',
    component: () => import('../views/deviceAdmin/deviceInfo.vue'),
    meta: {
      title: '设备管理',
      defaultUrl: false
    }
  },
  {
    path: '/collectDay',
    name: 'collectDay',
    component: () => import('../views/collectData/collectDay.vue'),
    meta: {
      title: '牧场概况',
      defaultUrl: false
    }
  },
  {
    path: '/eartagData',
    name: 'eartagData',
    component: () => import('../views/collectData/eartagData.vue'),
    meta: {
      title: '耳标数据',
      defaultUrl: false
    }
  },
  {
    path: '/dataInfo',
    name: 'dataInfo',
    component: () => import('../views/collectData/dataInfo.vue'),
    meta: {
      title: '数据详情',
      defaultUrl: false
    }
  }
]

export default childrenRouters;
